Skip to Content
Namespaces

Revoke a namespace portal link

Revokes the link and ends sessions using it. Only organization-wide callers may revoke links.

DELETE
/v1/namespaces/{id}/portal-links/{linkId}

Revokes the link and ends sessions using it. Only organization-wide callers may revoke links.

Authorization

apiKey
headerx-api-key<token>

Path Parameters

id*string
Match^ns_[0-9a-hjkmnp-tv-z]{16,24}$
linkId*string
Match^npl_[0-9a-hjkmnp-tv-z]{16,24}$

Response Body

NamespacePortalLink

application/json
  1. response
id*NamespacePortalLinkId
Match^npl_[0-9a-hjkmnp-tv-z]{16,24}$
organizationId*OrganizationId
Match^org_[0-9a-hjkmnp-tv-z]{16,24}$
namespaceId*NamespaceId
Match^ns_[0-9a-hjkmnp-tv-z]{16,24}$
createdBy*UserId
Match^user_[0-9a-hjkmnp-tv-z]{16,24}$
expiresAt*string
revokedAt*string|null
redirectUrl*string|null
metadata*
createdAt*string
Example Request
import { createClient } from "samva";

const samva = createClient({ apiKey: process.env.SAMVA_API_KEY! });

const result = await samva.namespaces.revokePortalLink({
  "id": "example",
  "linkId": "example"
});
Example Response
{
  "id": "string",
  "organizationId": "string",
  "namespaceId": "string",
  "createdBy": "string",
  "expiresAt": "string",
  "revokedAt": "string",
  "redirectUrl": "string",
  "metadata": {
    "property1": "string",
    "property2": "string"
  },
  "createdAt": "string"
}

Related documentation